<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo2.xml</name>
  <program_name>echo2.xml</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox4_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox2</name>
	      <tooltip>log base of power scale (spread colors)</tooltip>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkHScale</class>
		<name>hscale1</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>adj_changed</name>
		  <handler>gdam_skin_skin_adjustment:power_log_base</handler>
		  <last_modification_time>Tue, 30 May 2000 11:38:00 GMT</last_modification_time>
		</signal>
		<draw_value>False</draw_value>
		<value_pos>GTK_POS_TOP</value_pos>
		<digits>1</digits>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>15</value>
		<lower>1</lower>
		<upper>20</upper>
		<step>0.1</step>
		<page>1</page>
		<page_size>0</page_size>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox1</name>
	      <tooltip>normalize (dim colors)</tooltip>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkHScale</class>
		<name>hscale2</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>adj_changed</name>
		  <handler>gdam_skin_skin_adjustment:normalization_level</handler>
		  <last_modification_time>Tue, 30 May 2000 10:38:40 GMT</last_modification_time>
		</signal>
		<draw_value>False</draw_value>
		<value_pos>GTK_POS_TOP</value_pos>
		<digits>6</digits>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>0.7</value>
		<lower>0</lower>
		<upper>1</upper>
		<step>0.001</step>
		<page>0.1</page>
		<page_size>0</page_size>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox5</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkEventBox</class>
	      <name>eventbox3</name>
	      <tooltip>bandwidth of displayed frequencies</tooltip>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkHScale</class>
		<name>hscale3</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>adj_changed</name>
		  <handler>gdam_skin_skin_adjustment:frequency_scale</handler>
		  <last_modification_time>Tue, 30 May 2000 07:30:23 GMT</last_modification_time>
		</signal>
		<draw_value>False</draw_value>
		<value_pos>GTK_POS_TOP</value_pos>
		<digits>1</digits>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>7</value>
		<lower>0.1</lower>
		<upper>8</upper>
		<step>0.01</step>
		<page>1</page>
		<page_size>0</page_size>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button1</name>
	      <tooltip>change scrolling axis</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_spectrum_scroll_swap_axes</handler>
		<last_modification_time>Tue, 30 May 2000 10:07:12 GMT</last_modification_time>
	      </signal>
	      <label>a</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button2</name>
	      <tooltip>change direction of scroll</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_spectrum_scroll_swap_direction</handler>
		<last_modification_time>Tue, 30 May 2000 10:16:41 GMT</last_modification_time>
	      </signal>
	      <label>d</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkSpinButton</class>
	      <name>spinbutton1</name>
	      <tooltip>milliseconds per pixel</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_skin_adjustment:query_timeout_msecs</handler>
		<last_modification_time>Tue, 22 May 2001 23:42:43 GMT</last_modification_time>
	      </signal>
	      <climb_rate>1</climb_rate>
	      <digits>0</digits>
	      <numeric>False</numeric>
	      <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	      <snap>False</snap>
	      <wrap>False</wrap>
	      <value>30</value>
	      <lower>1</lower>
	      <upper>100</upper>
	      <step>1</step>
	      <page>10</page>
	      <page_size>10</page_size>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkDrawingArea</class>
	    <name>drawing_area</name>
	    <width>200</width>
	    <height>150</height>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_spectrum_scroll_drawing_area</handler>
	      <last_modification_time>Sun, 26 Mar 2000 00:29:54 GMT</last_modification_time>
	    </signal>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVScale</class>
	    <name>vscale1</name>
	    <width>20</width>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_skin_adjustment:frequency_base:inverted</handler>
	      <last_modification_time>Tue, 30 May 2000 08:00:26 GMT</last_modification_time>
	    </signal>
	    <draw_value>False</draw_value>
	    <value_pos>GTK_POS_TOP</value_pos>
	    <digits>1</digits>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>8</upper>
	    <step>0.1</step>
	    <page>1</page>
	    <page_size>0</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
